jun

DSM 6.2 Loader

Recommended Posts

My DSM is getting into trouble.  It is setup on top of ESXi 6.7. And it recently stopped working after a few days. Ping cannot reach the host but the VM keep using 3.0Ghz of CPU.

I have no idea if it is some malware that infact the device but I am not quite sure on where should I check.

 

Serial log has nothing special.

The DSM is 6.2.1 with latest update.  Any help will be appreciated.  

Share this post


Link to post
Share on other sites

So, I wanted to update from 6.1.7 on my DS3617xs and here is my experience:

 

- downloaded the 1.03b bootloader

- editted the files and wrote it to USB

- in the migration wizzard uploaded the latest DSM (6.2.1)

- wait for reboot (never comes back up again)

- restore old bootloader

- "crashed synology click to restore"

- wait for reboot (never comes back up again)

- reflash 1.03b again

- try to install 6.2 (and/or 6.1.7) -> unable needs to be 6.2.1

- hmmm ***** now what to do

- read on some random post at the form that 6.2.1 is only supported by DS918+

- flash 1.04 bootloader (for DS918+)

- install DSM 6.2.1 (for DS918+)

- installation works, settings are migrated and system is up again

 

Did I just had bad luck? Or is 6.2.1 only supported on DS918+? In that case a warning would be great on the loader download page for other people wanting to update :)

 

Now just to fix the few tings that are not migrated (Domoticz and some strange bug that things my SSD is critical) and I'm back. But next time well not so sure if  I will update unless I really really want a new feature....

 

edit:

Oh and I will need to try and find out if DS918+ is fine for me or that I somehow need to migrate back to the DS3617xs?

Edited by mattie112

Share this post


Link to post
Share on other sites

I used this loader to upgrade my DSM 5.2 to DSM 6.2.1-23824 Update 4. Everything works like a charm and the install/update was just too easy. Thanks Jun, you're great! Note: the DSM 916+ image *did not work for me*, I had to use DSM 918+, which worked just fine.


Question: I have a Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz (4 cores), but in DSM it says Intel Celeron J3455 (4.00GHZ) with 4 cores. I highly doubt this matters at all, but just checking in if anyone knows if it actually does or doesn't?

 

 

Share this post


Link to post
Share on other sites

AFAIK it is only cosmetic. However, there is a script somewhere on the forums to fix this. It worked for my N3160 system.

Sent from my ONE E1003 using Tapatalk

Share this post


Link to post
Share on other sites
2 часа назад, JunIsARockStar сказал:

Question: I have a Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz (4 cores), but in DSM it says Intel Celeron J3455 (4.00GHZ) with 4 cores. I highly doubt this matters at all, but just checking in if anyone knows if it actually does or doesn't?

Do this.

Share this post


Link to post
Share on other sites

Hello,

I messed up my system a little bit after messing with trying to get the loader for DS918+ working i decided to go back to the 3617 loader but in all my back and forth i downloaded the 6.2.1 instead of the 6.2 for the ds3716 and it failed to boot and then i realized what i did wrong 🤦‍♂️ so i setup the loader the 3615 and got my system back up but now i'm having network issues with the eth2 & eth3 they are not working correctly one i was using for DHCP server thats not working for some reason now and the other is not showing the correct IP info but when i ssh in and stat the port it has the correct IP info and i can access the web UI from the web with the IP that it should have.

 

im not sure whats causing the issue but i wanted to try and get the 3617 build back so is it possible downgrade it back to 6.2 if i can ssh into the unit and change the version info  and reboot with the other loader and install the correct build this time 

 

thanks 

Share this post


Link to post
Share on other sites

I have the idea that the performance of 6.2.1 is worse then 6.1.7 but: I also needed to convert my DS3617xs to the DS918+ due to not reading correctly.

 

I assume the performance won't be different when using another NAS model? Might be just the 6.2.1 version but I can really notice it.

Share this post


Link to post
Share on other sites

Hello!

 

I'm currently running Jun's loader 1.02b with 3617xs+ and DSM 6.1. Everything is great and super stable, however my Intel Xeon E5 2698 v4 is only recognised as a 16 core CPU (instead as a 20 core/40 threads). I was wondering if it will be worth trying bootloader 1.04 and DSM 6.2.1 to try to fix this problem. Aside from that I'm not sure there's a huge difference between 6.1 to 6.2.1 (tried to search on internet but nothing fancy so far)

Share this post


Link to post
Share on other sites
30 minutes ago, dutchnas said:

Will there be an 3615 release as well? Because my old N40L won't support the newer boot loader.. 🙁

You can run DSM 6.2 on the N40L with jun's 1.03b loader, but you'll need to get a compatible intel lan card. Several forum members have had success using a HP NC360T nic. If you search the forums there are a couple of threads that would be worth checking out.

Share this post


Link to post
Share on other sites
22 hours ago, Dfds said:

You can run DSM 6.2 on the N40L with jun's 1.03b loader, but you'll need to get a compatible intel lan card. Several forum members have had success using a HP NC360T nic. If you search the forums there are a couple of threads that would be worth checking out.

 

That is an workaround I saw on the forum. But my concern is that the 3615 bootloader is dropped and then 6.2 is the last version for my N40L. That's why I ask the question if the 3615 will be developed?

Share this post


Link to post
Share on other sites
4 hours ago, flyride said:

Dropped by whom?  6.2.1 is the latest available and it runs on 3615 image fine.

With 1.03b I can't update further then 6.2.1-23824. I've tried 6.2-23739 update 2 but that one isn't supported. That's why I'm asking will there be an update 4 release for the 3615.

Share this post


Link to post
Share on other sites
1 minute ago, flyride said:

6.2.1-23824 is a newer patchlevel than 6.2-23739 

My mistake I mean both versions turned around.

Share this post


Link to post
Share on other sites

Hello,

I have searched but have not found an answer so ill ask here. is it possible to get 4 nic ports working on a DS918+ image if i wanted too. maybe some can point me in the right direction 

 

 

thanks

Share this post


Link to post
Share on other sites

@Razor237 Yes it possible. Read here what to change in grub.cfg.

 

P.S. For example (in grub.cfg):

...
set mac1=001132123458 #mac of the first network card
set mac2=001132123459 #mac of the second network card, the second and subsequent differ from the first by +1 in the last bit in the hex system
set mac3=00113212346A #mac of the third network card
set mac4=00113212346B #mac of the fourth network card
...
set netif_num=4 #number of network cards

 

Edited by Olegin

Share this post


Link to post
Share on other sites

Hi all,

 

New here and new to the NAS world. Just got my hands on an old server machine and decided to go experimental. Bare Metal installation on HP ML350p G8 with v1.03b (DSM 6.2 - both 3617 and 3615) causes fans to go crazy. Went to v1.02b DSM 6.1.7 (3617) and they slowed down to 35%. Still haven't tied 3615.

Btw, also tried OpenMediaVault and with it, the system is completely silent. My fans go down to 6% and in the first moment I thought the server went down. But no, it was up and running and no overheating observed.

 

If someone is trying the same machine and have problems with the p420i raid card - update to the latest firmware and through Intelligent provisioning you can switch to HBA mode, which will give direct access of the OS to the drives attached to it. The only thing, I didn't manage to understand from all the reading in the net was - when in HBA mode, will it somehow utilize the RAM integrated in the card. I have 512MB with battery.

 

Best to all,

Kiril

 

Share this post


Link to post
Share on other sites
3 hours ago, kkirov said:

Hi all,

 

New here and new to the NAS world. Just got my hands on an old server machine and decided to go experimental. Bare Metal installation on HP ML350p G8 with v1.03b (DSM 6.2 - both 3617 and 3615) causes fans to go crazy. Went to v1.02b DSM 6.1.7 (3617) and they slowed down to 35%. Still haven't tied 3615.

Btw, also tried OpenMediaVault and with it, the system is completely silent. My fans go down to 6% and in the first moment I thought the server went down. But no, it was up and running and no overheating observed.

 

If someone is trying the same machine and have problems with the p420i raid card - update to the latest firmware and through Intelligent provisioning you can switch to HBA mode, which will give direct access of the OS to the drives attached to it. The only thing, I didn't manage to understand from all the reading in the net was - when in HBA mode, will it somehow utilize the RAM integrated in the card. I have 512MB with battery.

 

Best to all,

Kiril

 

Annnndddd.... as it seems I am not able to edit posts, please disregard my previous post in the part for p420i card. This works, but for OMV.

Also found a way how to reduce the fans speed in Xpenology as well - just add a drive in the array. Even if it is not recognized by DSM, it will make the fans go down to 6%. Guess it is HP firmware and sensors thing.

As those are hardware specifics, I guess those posts could be moved to that section.

Excuse me for the confusion - still reading and testing configurations.

Share this post


Link to post
Share on other sites

hi,

i have update the loader to 1.4b  from loader 1.2b. I have changed the pid e vid on grub, and the loder boot normally. But the sistem DSM not booting, the "synology assistand" not find anything.
I don't have the serial port, what i can search?

 

PS: the usb with 1.2b boot normally.


Thank's all.

Share this post


Link to post
Share on other sites
5 hours ago, aliens said:

hi,

i have update the loader to 1.4b  from loader 1.2b. I have changed the pid e vid on grub, and the loder boot normally. But the sistem DSM not booting, the "synology assistand" not find anything.
I don't have the serial port, what i can search?

 

PS: the usb with 1.2b boot normally.


Thank's all.

Some information regarding what hardware you're using might help you get some answers.

Share this post


Link to post
Share on other sites
5 hours ago, Dfds said:

Some information regarding what hardware you're using might help you get some answers.

Yes!.. is true 😂, this the configuration:

CPU : i5 2400, 6GB ram, Lenovo IH61M Intel H61 Socket 1155 mATX Motherboard, 8TB hd, Realtek RTL8111E  LAN.

Share this post


Link to post
Share on other sites
47 minutes ago, aliens said:

Yes!.. is true 😂, this the configuration:

CPU : i5 2400, 6GB ram, Lenovo IH61M Intel H61 Socket 1155 mATX Motherboard, 8TB hd, Realtek RTL8111E  LAN.

There’s your problem. DS918+ is Haswell or newer, you can’t use it with your CPU. 

Share this post


Link to post
Share on other sites
12 hours ago, AndreyATGB said:

There’s your problem. DS918+ is Haswell or newer, you can’t use it with your CPU. 

OK!... thanks, but the "loader 1.3" have the same result

Share this post


Link to post
Share on other sites
6 minutes ago, aliens said:

OK!... thanks, but the "loader 1.3" have the same result

Did you try DSM 6.2 with DS3615? 6.2.1 doesn’t work with 3617 at all and also doesn’t seem to work with non-Intel NICs, so it probably won’t work for you since you have Realtek. 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.